System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

When implemented in a derived class, controls how a is printed. invokes the print controller's , , , and methods, which in turn tell the printer how to print the document. Print preview uses a specialized . For an example of a print controller that is specialized for print preview, see the .

is used by , and not typically used directly.

The .NET Framework includes three print controllers that are derived from that help accomplish common tasks. The prints a document to a printer. The generates a preview of what the document will look like when printed and is used by the and classes. The provides a printing status dialog during the printing process.

For more information about printing with Windows Forms, see the namespace overview. If you wish to print from a Windows Presentation Foundation application, see the namespace.

Controls how a document is printed, when printing from a Windows Forms application.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the is used for print preview.

- Method
  System.Void `` ``

  is called immediately after the raises the event. If an exception is thrown inside a event of a , is not called.

  creates the that is sent to the printer. After is called, the method sets the to a graphic of a single page. (Use the method to set how to print a page in a document. For example, you can adjust page settings separately for each page.) The method clears the , while the method deallocates the object.

  When overridden in a derived class, completes the control sequence that determines when and how to print a page of a document.

  A that represents the document currently being printed. A that contains the event data. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  is called immediately after the raises the event.

  creates the that is sent to the printer. After is called, the method sets the to a graphic of a single page. (Use the method to determine when and how to print a document. For example, you can delay printing for 30 minutes or adjust the printer settings for the document.) The method clears the , while the method deallocates the object.

  When overridden in a derived class, completes the control sequence that determines when and how to print a document.

  A that represents the document currently being printed. A that contains the event data. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Graphics `` ``

  is called immediately before the raises the event.

  creates the that is sent to the printer. After is called, the method sets the to a graphic of a single page. The method clears the , while the method deallocates the object.

  Use the method to set how to print a page in a document. For example, you can adjust page settings separately for each page.

  When overridden in a derived class, begins the control sequence that determines when and how to print a page of a document.

  A that represents a page from a .

  A that represents the document currently being printed. A that contains the event data. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  is called immediately after the raises the event.

  Use the method to determine when and how to print a document. For example, you can delay printing for 30 minutes or adjust the printer settings for the document. creates the that is sent to the printer. After is called, the method sets the to one of a single page. The method clears the , while the method deallocates the object.

  The method is a good place to verify that are valid.

  When overridden in a derived class, begins the control sequence that determines when and how to print a document.

  A that represents the document currently being printed. A that contains the event data. 1.0.5000.0 2.0.0.0